SalesforceRestDataProvider::SalesforceRestDataProviderFactory Class Reference

The SalesforceRest data provider factory. More...

Inherits AbstractDataProviderFactory.

## Protected Member Functions

Class | getClassImpl ()
| Returns the class for the data provider object.
hash< DataProviderFactoryInfo > | getInfoImpl ()
| Returns static factory information without provider_info. More...
hash< DataProviderInfo > | getProviderInfoImpl ()
| Returns static provider information. More...

## Protected Attributes

const | FactoryInfo = ...
| Factory info.

## Static Protected Attributes

static Class | cls = new Class("SalesforceRestDataProvider")
| Data provider type info.

## Detailed Description

The SalesforceRest data provider factory.

## Member Function Documentation

## getInfoImpl()

hash<DataProviderFactoryInfo> SalesforceRestDataProvider::SalesforceRestDataProviderFactory::getInfoImpl | ( |  | ) |

protected

Returns static factory information without provider_info.

Returns
  static factory information without provider_info which is provided by getProviderInfo()

## getProviderInfoImpl()

hash<DataProviderInfo> SalesforceRestDataProvider::SalesforceRestDataProviderFactory::getProviderInfoImpl | ( |  | ) |

protected

Returns static provider information.

Note
  the `name` and `children` attributes are not returned as they are dynamic attributes